---
title: API Management
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > API Management
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# API Management

Configure your API endpoints through the Datadog API.

## [Create a new API →](https://docs.datadoghq.com/api/latest/api-management/create-a-new-api.md) deprecated preview{% #create-a-new-api %}

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/apicatalog/openapi |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/apicatalog/openapi |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/apicatalog/openapi      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/apicatalog/openapi      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/apicatalog/openapi  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/apicatalog/openapi |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/apicatalog/openapi     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/apicatalog/openapi |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/apicatalog/openapi |

## [Update an API →](https://docs.datadoghq.com/api/latest/api-management/update-an-api.md) deprecated preview{% #update-an-api %}

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/apicatalog/api/{id}/openapi      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/apicatalog/api/{id}/openapi      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/apicatalog/api/{id}/openapi  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/apicatalog/api/{id}/openapi     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |

## [Get an API →](https://docs.datadoghq.com/api/latest/api-management/get-an-api.md) deprecated preview{% #get-an-api %}

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/apicatalog/api/{id}/openapi      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/apicatalog/api/{id}/openapi      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/apicatalog/api/{id}/openapi  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/apicatalog/api/{id}/openapi     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/apicatalog/api/{id}/openapi |

## [List APIs →](https://docs.datadoghq.com/api/latest/api-management/list-apis.md) deprecated preview{% #list-apis %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/apicatalog/api |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/apicatalog/api |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/apicatalog/api      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/apicatalog/api      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/apicatalog/api  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/apicatalog/api |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/apicatalog/api     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/apicatalog/api |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/apicatalog/api |

## [Delete an API →](https://docs.datadoghq.com/api/latest/api-management/delete-an-api.md) deprecated preview{% #delete-an-api %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/apicatalog/api/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/apicatalog/api/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/apicatalog/api/{id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/apicatalog/api/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/apicatalog/api/{id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/apicatalog/api/{id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/apicatalog/api/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/apicatalog/api/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/apicatalog/api/{id} |
